import { HttpException, HttpStatus } from '@nestjs/common';
import { EstadoInmueble } from './estado-inmueble.entity';
import { Repository } from 'typeorm';
import { CreateEstadoInmuebleDto } from './dto/create-estado-inmueble.dto';
import { UpdateEstadoInmuebleDto } from './dto/update-estado-inmueble.dto';
export declare class EstadoInmuebleService {
    private estadoInmuebleRepository;
    constructor(estadoInmuebleRepository: Repository<EstadoInmueble>);
    getDataAll(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        deleted_at: Date;
        inmueble: import("../inmueble/inmueble.entity").Inmueble[];
    }[]>;
    getData(page?: number, limit?: number): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    searchData(page: number, limit: number, params: any): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
        meta: {
            total: number;
            page: number;
            limit: number;
            totalPages: number;
        };
    }>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        deleted_at: Date;
        inmueble: import("../inmueble/inmueble.entity").Inmueble[];
    }>;
    createData(estadoInmueble: CreateEstadoInmuebleDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateData(id: number, estadoInmueble: UpdateEstadoInmuebleDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
